%define debug_package %{nil}

%define sdevname %mklibname vc -d -s

Summary:	Ease explicit vectorization of C++ code
Name:		vc
Version:	1.3.0
Release:	2
License:	LGPLv2+
Group:		Development/C++
Url:		http://code.compeng.uni-frankfurt.de/projects/vc
Source0:	http://code.compeng.uni-frankfurt.de/attachments/download/164/Vc-%{version}.tar.gz
BuildRequires:	cmake

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
Development files (headers etc.) for %{name}.

%files -n %{sdevname}
%{_includedir}/Vc
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc

#----------------------------------------------------------------------------

%prep
%setup -qn Vc-%{version}
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.0-2
- (8099694) MassBuild#1230: Increase release tag


